/*
 *	    ____  ____  _____   ____________
 *	   / __ / __ /  _/ | / /_  __/ __
 *	  / /_/ / /_/ // //  |/ / / / / /_/ /
 *	 / ____/ _, _// // /|  / / / / _, _/
 *	/_/   /_/ |_/___/_/ |_/ /_/ /_/ |_|
 *
 */

/*
 *	Publish an app to the Formide App Store
 */

var fs 				= require('fs');
var	path			= require('path');
var FormideProject 	= require('./project.js');
var Task 			= require('./task.js').Task;

var FormideTask 	= function() {};

FormideTask.prototype = new Task();

FormideTask.prototype.run = function( formide, callback )
{
	var project = null;
	this.formide = formide;

	try
	{
		project = FormideProject.load();
	}
	catch( e )
	{
		this.formide.fail( e.message );
	}

	for(var i in project.data)
	{
		var dots = '';
		while( (i + dots ).length < 15 )
		{
			dots += '.';
		}
		console.log( i.yellow + dots.grey + project.data[i].bold );
	}
};

exports.FormideTask = FormideTask;